Skip to main content
`Ctrl`+`K`

# numpy.linalg.matrix_transpose

linalg.matrix_transpose(x, /)

  Transposes a matrix (or a stack of matrices) `x`.

  This function is Array API compatible.

  Parameters:
    x array_like

      Input array having shape (…, M, N) and whose two innermost dimensions form `MxN` matrices.

  Returns:
    out ndarray

      An array containing the transpose for each matrix and having shape (…, N, M).

  See also

  `transpose`

    Generic transpose method.

  Notes

  This function is an alias of `numpy.matrix_transpose`.

  Examples

      >>> import numpy as np
      >>> np.matrix_transpose([[1, 2], [3, 4]])
      array([[1, 3],
             [2, 4]])

      >>> np.matrix_transpose([[[1, 2], [3, 4]], [[5, 6], [7, 8]]])
      array([[[1, 3],
              [2, 4]],
             [[5, 7],
              [6, 8]]])